# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Fri Jun 21 14:12:59 2024
# ------------------------------------------------

package:
  name: notebook
  version: 7.0.8
source:
  sha256: 3957ecd956056b0014677afc76d3bb44c2d2f29649f87b24d13606ff1d18938f
  url: https://pypi.io/packages/source/n/notebook/notebook-7.0.8.tar.gz
build:
  entry_points:
    - jupyter-notebook = notebook.app:main
  no_link:
    - Menu/notebook_menu.json
  number: '1'
  string: py310hd43f75c_1
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - anyio 4.2.0 py310hd43f75c_0
    - argon2-cffi 21.3.0 pyhd3eb1b0_0
    - argon2-cffi-bindings 21.2.0 py310h2f4d8fa_0
    - asttokens 2.0.5 pyhd3eb1b0_0
    - async-lru 2.0.4 py310hd43f75c_0
    - attrs 23.1.0 py310hd43f75c_0
    - babel 2.11.0 py310hd43f75c_0
    - beautifulsoup4 4.12.3 py310hd43f75c_0
    - bleach 4.1.0 pyhd3eb1b0_0
    - brotli-python 1.0.9 py310h419075a_8
    - bzip2 1.0.8 h998d150_6
    - ca-certificates 2024.3.11 hd43f75c_0
    - certifi 2024.6.2 py310hd43f75c_0
    - cffi 1.16.0 py310h998d150_1
    - charset-normalizer 2.0.4 pyhd3eb1b0_0
    - comm 0.2.1 py310hd43f75c_0
    - debugpy 1.6.7 py310h419075a_0
    - decorator 5.1.1 pyhd3eb1b0_0
    - defusedxml 0.7.1 pyhd3eb1b0_0
    - editables 0.3 py310hd43f75c_0
    - exceptiongroup 1.2.0 py310hd43f75c_0
    - executing 0.8.3 pyhd3eb1b0_0
    - hatch-jupyter-builder 0.8.3 py310hd43f75c_0
    - hatchling 1.21.1 py310hd43f75c_0
    - idna 3.7 py310hd43f75c_0
    - ipykernel 6.28.0 py310hd43f75c_0
    - ipython 8.25.0 py310hd43f75c_0
    - jedi 0.18.1 py310hd43f75c_1
    - jinja2 3.1.4 py310hd43f75c_0
    - json5 0.9.6 pyhd3eb1b0_0
    - jsonschema 4.19.2 py310hd43f75c_0
    - jsonschema-specifications 2023.7.1 py310hd43f75c_0
    - jupyter-lsp 2.2.0 py310hd43f75c_0
    - jupyter_client 8.6.0 py310hd43f75c_0
    - jupyter_core 5.7.2 py310hd43f75c_0
    - jupyter_events 0.10.0 py310hd43f75c_0
    - jupyter_server 2.14.1 py310hd43f75c_0
    - jupyter_server_terminals 0.4.4 py310hd43f75c_1
    - jupyterlab 4.0.11 py310hd43f75c_0
    - jupyterlab_pygments 0.1.2 py_0
    - jupyterlab_server 2.25.1 py310hd43f75c_0
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libffi 3.4.4 h419075a_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libsodium 1.0.18 hfd63f10_0
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h998d150_0
    - markupsafe 2.1.3 py310h998d150_0
    - matplotlib-inline 0.1.6 py310hd43f75c_0
    - mistune 2.0.4 py310hd43f75c_0
    - nbclient 0.8.0 py310hd43f75c_0
    - nbconvert 7.10.0 py310hd43f75c_0
    - nbformat 5.9.2 py310hd43f75c_0
    - ncurses 6.4 h419075a_0
    - nest-asyncio 1.6.0 py310hd43f75c_0
    - notebook-shim 0.2.3 py310hd43f75c_0
    - openssl 3.0.14 h998d150_0
    - overrides 7.4.0 py310hd43f75c_0
    - packaging 23.2 py310hd43f75c_0
    - pandocfilters 1.5.0 pyhd3eb1b0_0
    - parso 0.8.3 pyhd3eb1b0_0
    - pathspec 0.10.3 py310hd43f75c_0
    - pexpect 4.8.0 pyhd3eb1b0_3
    - pip 24.0 py310hd43f75c_0
    - platformdirs 3.10.0 py310hd43f75c_0
    - pluggy 1.0.0 py310hd43f75c_1
    - prometheus_client 0.14.1 py310hd43f75c_0
    - prompt-toolkit 3.0.43 py310hd43f75c_0
    - prompt_toolkit 3.0.43 hd3eb1b0_0
    - psutil 5.9.0 py310h998d150_0
    - ptyprocess 0.7.0 pyhd3eb1b0_2
    - pure_eval 0.2.2 pyhd3eb1b0_0
    - pycparser 2.21 pyhd3eb1b0_0
    - pygments 2.15.1 py310hd43f75c_1
    - pysocks 1.7.1 py310hd43f75c_0
    - python 3.10.14 h4bb2201_1
    - python-dateutil 2.9.0post0 py310hd43f75c_2
    - python-fastjsonschema 2.16.2 py310hd43f75c_0
    - python-json-logger 2.0.7 py310hd43f75c_0
    - pytz 2024.1 py310hd43f75c_0
    - pyyaml 6.0.1 py310h998d150_0
    - pyzmq 25.1.2 py310h419075a_0
    - readline 8.2 h998d150_0
    - referencing 0.30.2 py310hd43f75c_0
    - requests 2.32.2 py310hd43f75c_0
    - rfc3339-validator 0.1.4 py310hd43f75c_0
    - rfc3986-validator 0.1.1 py310hd43f75c_0
    - rpds-py 0.10.6 py310h7f3cb11_0
    - send2trash 1.8.2 py310hd43f75c_0
    - setuptools 69.5.1 py310hd43f75c_0
    - six 1.16.0 pyhd3eb1b0_1
    - sniffio 1.3.0 py310hd43f75c_0
    - soupsieve 2.5 py310hd43f75c_0
    - sqlite 3.45.3 h998d150_0
    - stack_data 0.2.0 pyhd3eb1b0_0
    - terminado 0.17.1 py310hd43f75c_0
    - tinycss2 1.2.1 py310hd43f75c_0
    - tk 8.6.14 h987d8db_0
    - tomli 2.0.1 py310hd43f75c_0
    - tornado 6.4.1 py310h998d150_0
    - traitlets 5.14.3 py310hd43f75c_0
    - trove-classifiers 2023.10.18 py310hd43f75c_0
    - typing-extensions 4.11.0 py310hd43f75c_0
    - typing_extensions 4.11.0 py310hd43f75c_0
    - tzdata 2024a h04d1e81_0
    - urllib3 2.2.2 py310hd43f75c_0
    - wcwidth 0.2.5 pyhd3eb1b0_0
    - webencodings 0.5.1 py310hd43f75c_1
    - websocket-client 1.8.0 py310hd43f75c_0
    - wheel 0.43.0 py310hd43f75c_0
    - xz 5.4.6 h998d150_1
    - yaml 0.2.5 hfd63f10_0
    - zeromq 4.3.5 h419075a_0
    - zlib 1.2.13 h998d150_1
  run:
    - jupyter_server >=2.4.0,<3
    - jupyterlab >=4.0.2,<4.1
    - jupyterlab_server >=2.22.1,<3
    - notebook-shim >=0.2,<0.3
    - python >=3.10,<3.11.0a0
    - tornado >=6.2.0
test:
  commands:
    - python -m pip check
    - jupyter notebook -h
    - jupyter-notebook -h
    - jupyter labextension list
    - jupyter labextension list 1>labextensions 2>&1
    - cat labextensions | rg "@jupyter-notebook/lab-extension.*OK"
  imports:
    - notebook
  requires:
    - pip
    - ripgrep
app:
  cli_opts:
    - args: --port %s
      default: '8080'
      name: port
      summary: Server port ...
  entry: jupyter-notebook
  icon: jupyter.png
  summary: Jupyter Notebook
  type: web
about:
  description: 'The Jupyter notebook is a web-based notebook environment for interactive
    computing.

    '
  dev_url: https://github.com/jupyter/notebook
  doc_url: https://jupyter-notebook.readthedocs.io
  home: https://jupyter.org
  license: BSD-3-Clause
  license_family: BSD
  license_file:
    - LICENSE
    - notebook/labextension/static/third-party-licenses.json
    - notebook/static/third-party-licenses.json
  summary: A web-based notebook environment for interactive computing
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: f9ac3b44-ff1d-438e-90c9-37f42ad2a475
  recipe-maintainers:
    - SylvainCorlay
    - bollwyvl
    - gnestor
    - jakirkham
    - lresende
    - minrk
    - pelson
    - takluyver
  remote_url: git@github.com:AnacondaRecipes/notebook-feedstock.git
  sha: 4b914e7e77be71b4d99321664f6c33a06035246a
